// import './assets/main.css'

import { createApp } from 'vue'
import App from './App.vue'
import router from './router/index'

import ByComponentsV3 from '../packages/index'
// import ByComponentsV3, { components } from '../dist/by-component-v3.es'
// import '../dist/by-components-v3.css'
// console.log(ByComponentsV3, 'ByComponentsV3', components)

import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import zhCn from 'element-plus/es/locale/lang/zh-cn'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
// import VxeTable from 'vxe-table'
// import 'vxe-table/lib/style.css'
import VxeUI from 'vxe-pc-ui'
import 'vxe-pc-ui/lib/style.css'
import VxeUITable from 'vxe-table'
import 'vxe-table/lib/style.css'
import './style/index.scss'
const app = createApp(App)

// 注册所有图标
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app
  .use(ElementPlus, {
    locale: zhCn,
  })
  .use(ByComponentsV3)
  .use(VxeUI)
  .use(VxeUITable)
  .use(router)
app.mount('#app')
